uniform float timer;
vec4 Process(vec4 color)
{
	vec2 texCoord = gl_TexCoord[0].st;
	const float pi = 3.14159265358979323846;
	vec2 offset = vec2(0.0,0.0);
	float siny = sin(pi * 6 * (texCoord.y * 1.0 + timer / 2.0 * 0.7)) * 0.03;
	float sinx = sin(pi * 6 * (texCoord.x * 1.0 + timer / 2.0 * 0.7)) * 0.03;
	offset.y = sinx + sin(pi * 1.9 * (texCoord.x * 1.4 + timer / 1.0 * 0.7)) * 0.02;
	offset.x = siny + sin(pi * 1.9 * (texCoord.y * 1.4 + timer / 1.0 * 0.7)) * 0.02;
	texCoord += offset;
	return getTexel(texCoord) * color + vec4(0,0.02,0,0);
}